package net.pterodactylus.sone.data;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.is;

import org.junit.Test;

/**
 * Unit test for {@link IdBuilderTest}.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class IdBuilderTest {

	private static final String SONE_ID = "~Yp72VX0c6FLDvgIzip5wIvaGIIrjKcKvnX~pTaMKXs";
	private static final String ELEMENT_ID = "88CC70AE-E853-4EEE-B245-E4C55F40DDDF";
	private static final String EXPECTED_ID = "139a629a13f6a2c4191fb19ecead7e57335ea3deb2a971b88d5e004378c4daad";

	private final IdBuilder idBuilder = new IdBuilder();

	@Test
	public void idBuilderBuildsCorrectIds() {
		assertThat(idBuilder.buildId(SONE_ID, ELEMENT_ID), is(EXPECTED_ID));
	}

}
